Subject: [VRRP] vrrp faster backup

From: [email-masked]
Date: Mon, 6 Jul 2009 19:28:49 +0800

Dear All

I'm a new comer in IETF.

VRRP [RFC 3768] specifies an election protocol that dynamically assigns 
responsibility for a virtual router to one of the VRRP routers on a LAN. 
This election process provides dynamic fail  over in the forwarding 
responsibility should the Master become unavailable. 
 
The router survivability capability provided by the Virtual Router 
Redundancy Protocol requirement: (3 * Master_Adver_Interval) + Skew_timer 
for  Backup Router to declare Masterdown in the VRRP [RFC 3768].
It will be more than 3 second when the Master_Adver_Interval was 1 second. 

In some LAN environments, the Backup Router needs faster method to declare 
the Master Router is fail.
As if (2 * Master_Adver_Interval) + Skew_timer or (1 * 
Master_Adver_Interval) + Skew_timer. 
Are there a message type which permits the Backup Router could backup 
faster?
 
Best Regards 

Dash Liu　刘志伟　　　ID: 183475 
Chief Engineer Office, Standard Development and Industry Relations 

Product Marketing System 
产品市场体系
D206, 889, Bibo Road,ZhangJiang, Pudong District, ShangHai P.R.China, 
210023
Tel:+86-21-68896823/ 13701767991
Mobile:+86-13828760990
Email:[email-masked]

---

From: Arnab Bakshi <[email-masked]>
Date: Mon, 6 Jul 2009 18:22:05 +0530

Hi Liu,

  As per RFC 3768, section 5.3.4 page 12:

     The priority value zero (0) has special meaning indicating that the
     current Master has stopped participating in VRRP.  This is used to
     trigger Backup routers to quickly transition to Master without having
     to wait for the current Master to timeout.

This is one way I think if the master router gracefully indicates the other
routers in the network.

Regards
Arnab

2009/7/6 <[email-masked]>

>   *Dash Liu 刘志伟 ID: 183475 *
> Chief Engineer Office, Standard Development and Industry Relations  *Product
> Marketing System * *产品市场体系* D206, 889, Bibo Road,ZhangJiang, Pudong
> District, ShangHai P.R.China, 210023
> Email:[email-masked] <[email-masked]>
>
>
> _______________________________________________
> vrrp mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/vrrp
>
>

---

From: [email-masked]
Date: Tue, 7 Jul 2009 23:16:11 +0800

Dear Arnab 

Thanks for your feedback.
Then when the priority value isn't zero, the Backup Router should waiting 
the Master Router time out. 
Are they any other way when priority isn't zero? 
 
Best Regards 

Dash Liu　刘志伟　　　ID: 183475 

Product Marketing System 
产品市场体系

Arnab Bakshi <[email-masked]> 
2009-07-06 20:52

收件人
[email-masked], [email-masked]
抄送

主题
Re: [VRRP] vrrp faster backup

Hi Liu,

This is one way I think if the master router gracefully indicates the 
other routers in the network.

Regards
Arnab

Dear All 

I'm a new comer in IETF. 

  
Best Regards 

Dash Liu　刘志伟　　　ID: 183475 

Product Marketing System 
产品市场体系

---

From: "Stephen Nadas" <[email-masked]>
Date: Tue, 7 Jul 2009 11:02:58 -0500

Hi, 
 
If I understand the original question properly, the question is how, under expected failure scenarios, can backup take over of the master in less than 3 seconds.  This has been discussed at some length on the mailing list (which you may wish to review) and please see also latest draft: draft-ietf-vrrp-unified-spec-03  which should appear in the repository soon.  The draft discusses this issue.  
 
Regards,
Steve 

________________________________

	From: [email-masked] [mailto:[email-masked]] On Behalf Of [email-masked]
	Sent: Tuesday, July 07, 2009 11:16 AM
	To: Arnab Bakshi
	Cc: [email-masked]
	Subject: [VRRP] 答复: Re: vrrp faster backup

	Dear Arnab 
	
	Thanks for your feedback. 
	Then when the priority value isn't zero, the Backup Router should waiting the Master Router time out. 
	Are they any other way when priority isn't zero? 
	  
	Best Regards 

Dash Liu　刘志伟　　　ID: 183475 
Chief Engineer Office, Standard Development and Industry Relations 
  	Product Marketing System 
产品市场体系 
D206, 889, Bibo Road,ZhangJiang, Pudong District, ShangHai P.R.China, 210023
Tel:+86-21-68896823/ 13701767991
Mobile:+86-13828760990
Email:[email-masked] 

2009-07-06 20:52 

收件人

	Hi Liu, 

	This is one way I think if the master router gracefully indicates the other routers in the network. 
	
	Regards 
	Arnab 
	
	2009/7/6 <[email-masked] <mailto:[email-masked]> > 

	Dear All 
	
	I'm a new comer in IETF. 
	
	VRRP [RFC 3768] specifies an election protocol that dynamically assigns responsibility for a virtual router to one of the VRRP routers on a LAN. 
	This election process provides dynamic fail  over in the forwarding responsibility should the Master become unavailable. 
	   
	The router survivability capability provided by the Virtual Router Redundancy Protocol requirement: (3 * Master_Adver_Interval) + Skew_timer for  Backup Router to declare Masterdown in the VRRP [RFC 3768]. 
	It will be more than 3 second when the Master_Adver_Interval was 1 second. 
	In some LAN environments, the Backup Router needs faster method to declare the Master Router is fail. 
	As if (2 * Master_Adver_Interval) + Skew_timer or (1 * Master_Adver_Interval) + Skew_timer. 
	Are there a message type which permits the Backup Router could backup faster? 
	 
	Best Regards 

Dash Liu　刘志伟　　　ID: 183475 
Chief Engineer Office, Standard Development and Industry Relations 
  	Product Marketing System 
产品市场体系 
D206, 889, Bibo Road,ZhangJiang, Pudong District, ShangHai P.R.China, 210023
Tel:+86-21-68896823/ 13701767991
Mobile:+86-13828760990
Email:[email-masked] <mailto:[email-masked]>  

	
	_______________________________________________
	vrrp mailing list
	[email-masked] <mailto:[email-masked]> 
	https://www.ietf.org/mailman/listinfo/vrrp <https://www.ietf.org/mailman/listinfo/vrrp>